#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Simple Weather example
# This file is part of the Librem 5 developer documentation.

# Copyright (C) 2019 Purism SPC
# SPDX-License-Identifier: GPL-3.0+
# Author: David Boddie <david.boddie@puri.sm>

import gettext
import sys

# Placeholders to be replaced by the build system
localedir = '@localedir@'
pkgdatadir = '@pkgdatadir@'
prefix = '@prefix@'

sys.path.insert(1, pkgdatadir)

# Install a translator for Python code to use throughout the application.
gettext.install('librem5-package-info-tool', localedir, names=['ngettext'])

if __name__ == '__main__':

    from librem5_package_info_tool.main import Application
    app = Application()
    sys.exit(app.run(sys.argv))
